name: Texte
icon: text
wysiwyg: true
preview: text
fields:
  text:
    label: Texte
    type: writer
    nodes: true
    marks:
      - bold
      - italic
      - strike
      - link
    placeholder: field.blocks.text.placeholder
  pageSettings:
    label: Alignements
    type: headline    
    numbered: false
  textalign:
    label: False
    type: radio
    width: 1/2
    options:
      text-start: aligner à gauche
      text-center: aligner au milieu
      text-end: aligner à droite
  align:
    label: False
    type: radio
    width: 1/2
    options:
      flex-start: aligner en haut
      flex-center: aligner au milieu
      flex-end: aligner en bas
  topPadding:
    label: False
    type: radio
    width: 1/2
    options:
      top-padding: marges en haut
      no-top-padding: pas de marges en haut
  bottomPadding:
    label: False
    type: radio
    width: 1/2
    options:
      bottom-padding: marges en bas
      no-bottom-padding: pas de marges en bas
  leftPadding:
    label: False
    type: radio
    width: 1/2
    options:
      left-padding: marges à gauche
      no-left-padding: pas de marges à gauche
  rightPadding:
    label: False
    type: radio
    width: 1/2
    options:
      right-padding: marges à droite
      no-right-padding: pas de marges à droite      
  hasColumns:
    label: affichage en colonnes
    type: radio
    width: 1/3
    options:
      hasColumn-1: sans colonne
      hasColumn-2: 2 colonnes
      hasColumn-3: 3 colonnes
      hasColumn-4: 4 colonnes
  split:
    label: Séparation du texte
    type: radio
    width: 1/2
    default: split-words
    options:
      reveal: pas de séparation
      split-lines: séparation en lignes
      split-words: séparation en mots
      split-letters : séparation en lettres
